Bug 965112 - (CVE-2013-3562) CVE-2013-3562 wireshark: DoS (stack overflow, crash) in the Websocket dissector (wnpa-sec-2013-29, upstream #8448, #8499)
CVE-2013-3562 wireshark: DoS (stack overflow, crash) in the Websocket dissect...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
Depends On: 965942 979246
Blocks: 965198
  Show dependency treegraph
 
Reported: 2013-05-20 08:58 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 02:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-20 08:58:47 EDT
A denial of service flaw was found in the way Websocket dissector of Wireshark, a network traffic analyzer, processed certain Websocket packet capture files. A remote attacker could provide a specially-crafted Websocket packet capture file that, when processed, would lead to tshark executable crash.

Upstream bug reports:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8448
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8499

Reproducer:
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8448#c0
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8499#c0

Upstream patch:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48336
[6] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48419
Comment 1 Huzaifa S. Sidhpurwala 2013-05-21 02:44:44 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-29.html

The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for parsing Websocket data.
Comment 2 Huzaifa S. Sidhpurwala 2013-05-21 02:45:16 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 02:36:22 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 965942]
Comment 4 Huzaifa S. Sidhpurwala 2013-05-23 01:04:53 EDT
As per http://seclists.org/oss-sec/2013/q2/378 , this issue has been split into two CVEs, the following explanation has been given by MITRE:

"Use CVE-2013-3561 for the Bug 8448 issue. Note that this CVE is shared
with issues covered by wnpa-sec-2013-30 and wnpa-sec-2013-31.

Use CVE-2013-3562 for the Bug 8449 issue."

This bug is being used for CVE-2013-3562. CVE-2013-3561 will be filed separately.
Comment 5 Fedora Update System 2013-09-27 20:16:21 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 21:07:21 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-19 02:14:28 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.